Subject: Re: [PATCH] add Kconfig option for optimizing for cell

From: Josh Boyer <[email-masked]>
Date: Fri, 14 Sep 2007 18:36:21 -0500

On Sat, 2007-09-15 at 03:02 +0200, Arnd Bergmann wrote:
> On Saturday 15 September 2007, Josh Boyer wrote:
> > On Sat, 2007-09-15 at 02:21 +0200, Arnd Bergmann wrote:
> > > Since the PPE on cell is an in-order core, it suffers significantly
> > > from wrong instruction scheduling. This adds an Kconfig option that
> > > enables passing -mtune=cell to gcc in order to generate object
> > > code that runs well on cell.
> > 
> > Which version of gcc supports that?
> > 
> 
> gcc-4.3 will be the first official release that has everything in it,
> and I think 4.1 has some parts. However, there are many patched gcc
> versions in various distributions, so I tried to avoid being too
> specific about the version here.
> 
> Of course, on gcc versions that don't support -mtune=cell, the 
> Kconfig option does not make a difference.

Sure.  I was just wondering if mentioning the first official GCC version
in the Kconfig description would help prevent users from selecting the
option for GCCs that don't support it and then being confused later when
nothing happens.  Your call though.

josh